## wavpack 4.60.1

=== debian/changelog ===
wavpack (4.60.1-2) unstable; urgency=low

  * Team upload.
  * Enable Multi-Arch support (Closes: #651017):
    - debian/{*.install,control,rules}: Update references and enable
      Multi-Arch: same; patch from Becka Morgan.
    - debian/patches/0001-pkgconfig.patch: Avoid wavpack.pc to be
      broken after switching to Multi-Arch.
  * Fix lintian's warnings:
    - binary-control-field-duplicates-source
    - copyright-refers-to-deprecated-bsd-license-file
    - description-synopsis-starts-with-article
  * Enable MMX extensions on amd64.
  * Correct maintainer's name, add VCS fields.
  * Bump debian/compat.
  * Bump Standards version.
  * Add gbp config file.

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Dec 2011 11:36:14 +0100

wavpack (4.60.1-1) unstable; urgency=low

  * New upstream release:
    + debian/rules:
      - Some cleanup.
    + debian/*.1.xml,
      debian/wavpack.manpages,
      debian/control:
      - Manpages are upstream now.
  * debian/source/format:
    + Switch to 3.0 (quilt) and use upstream's tar.bz2.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 03 Dec 2009 09:51:39 +0100

wavpack (4.60.0-1) unstable; urgency=low

  * New upstream release:
    + debian/libwavpack1.symbols,
      debian/libwavpack1.shlibs:
      - Updated for the API additions.
  * debian/control:
    + Updated Standards-Version to 3.8.3.
    + Add ${shlibs:Depends} to the -dev package.
  * debian/control,
    debian/compat:
    + Updated to debhelper compat level 6.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Oct 2009 07:22:03 +0200

wavpack (4.50.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 Jul 2008 12:35:46 +0200

wavpack (4.50.0-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/01_memory-alignment.patch:
      - Dropped, fixed different upstream.
    + debian/libwavpack1.shlibs:
      - Updated to >= 4.50.0 because of new flags for some functions.
  * debian/control:
    + Set maintainer to pkg-multimedia.
    + Wrap control fields.
    + Move homepage to the Homepage field.
    + Update Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 26 Jun 2008 13:02:38 +0200

wavpack (4.41.0-2) unstable; urgency=low

  * debian/libwavpack1.symbols,
    debian/control:
    + Add a symbol file for WavPack and build depend on new enough dpkg-dev
      for this.
  * debian/control:
    + Update Standards-Version to 3.7.3, no additional changes needed.
    + Use ${binary:Version} instead of ${Source-Version}.
  * debian/patches/01_memory-alignment.patch:
    + Fix alignment issues which result in a SIGBUS on sparc (Closes: #476234).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 15 Apr 2008 12:22:24 +0200

wavpack (4.41.0-1) unstable; urgency=low

  * New upstream release without API changes.
  * debian/patches/01_fix-undefined-extern.diff:
    + Dropped, not necessary anymore.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 21 May 2007 12:11:16 +0200

wavpack (4.40.0-2) unstable; urgency=low

  * Upload to unstable
  * debian/control:
    + Update to use my debian.org mail address

 -- Sebastian Dröge <slomo@debian.org>  Mon, 16 Apr 2007 01:07:27 +0200

wavpack (4.40.0-1) experimental; urgency=low

  [ Sebastian Dröge ]
  * New upstream release
  * debian/control:
    + Update package name for new soname and remove now unnecessary conflicts
    + Drop unnecessary libncurses (build) dependency
  * debian/rules:
    + Adjust for new package name
  * debian/libwavpack1.shlibs:
    + Set shlibs minimal version from here
  * debian/patches/01_fix-undefined-extern.diff:
    + Updated for new file locations
  * debian/compat:
    + Update to 5

  [ Loic Minier ]
  * Add year 2006 to copyright.

 -- Loic Minier <lool@dooz.org>  Mon, 11 Dec 2006 15:52:24 +0100

wavpack (4.32-2) unstable; urgency=low

  * Make sure that dh_makeshlibs of libwavpack0 is called before dh_shlibdeps
    of wavpack to generate correct dependencies.

 -- Sebastian Dröge <slomo@ubuntu.com>  Mon, 24 Apr 2006 20:30:48 +0200

wavpack (4.32-1) unstable; urgency=low

  * New upstream release:
    + New wvgain utility for calculating and adding ReplayGain informations
      to files
    + Fix a crasher on big-endian systems
    + Some usuability improvements to the commandline utilities
  * No need to use -fsigned-char anymore
  * debian/wvgain.1.xml: added manpage for the new wvgain utility
  * List files which are not in any package after build
  * Add a Conflict with gstreamer0.8-misc (<< 0.8.12-2) on libwavpack0 as this
    update breaks ABI and gst-plugins0.8 has to be rebuild against the new
    version. I didn't invent a .debian soname as upstream promises to use a
    correct soname in the future when breaking ABI and gstreamer0.8-misc is
    the only rdepend.

 -- Sebastian Dröge <slomo@ubuntu.com>  Thu, 20 Apr 2006 11:58:09 +0200

wavpack (4.3-2) unstable; urgency=low

  * Use -fsigned-char to solve problems with decoding/encoding on different
    archs where chars are unsigned by default (including powerpc)
  * Install the README only in the -dev package

 -- Sebastian Dröge <slomo@ubuntu.com>  Thu, 17 Nov 2005 18:38:32 +0100

wavpack (4.3-1) unstable; urgency=low

  * Initial Revision (Closes: #333087)
  * 01_fix-undefined-extern.diff:
    + Fix from Gnome BTS #321212 for setting an extern variable. Fixes
      gstreamer plugin and maybe more

 -- Sebastian Dröge <slomo@ubuntu.com>  Fri, 11 Nov 2005 16:42:07 +0100
