=== debian/control ===
Source: wavpack
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Loic Minier <lool@dooz.org>
Build-Depends: cdbs (>= 0.4.93~),
               debhelper (>= 8.1.3~),
               dpkg-dev (>= 1.14.13)
Standards-Version: 3.9.2
Homepage: http://www.wavpack.com
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/wavpack.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/wavpack.git

Package: libwavpack1
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: audio codec (lossy and lossless) - library
 WavPack is a completely open audio compression format providing lossless,
 high-quality lossy, and a unique hybrid compression mode. Although the
 technology is loosely based on previous versions of WavPack, the new version
 4 format has been designed from the ground up to offer unparalleled
 performance and functionality.
 .
 This package contains the shared libraries necessary to run programs
 using libwavpack.

Package: libwavpack-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libwavpack1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: audio codec (lossy and lossless) - development files
 WavPack is a completely open audio compression format providing lossless,
 high-quality lossy, and a unique hybrid compression mode. Although the
 technology is loosely based on previous versions of WavPack, the new version
 4 format has been designed from the ground up to offer unparalleled
 performance and functionality.
 .
 This package contains the header files, static libraries
 and symbolic links that developers using libwavpack will need.

Package: wavpack
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: audio codec (lossy and lossless) - encoder and decoder
 WavPack is a completely open audio compression format providing lossless,
 high-quality lossy, and a unique hybrid compression mode. Although the
 technology is loosely based on previous versions of WavPack, the new version
 4 format has been designed from the ground up to offer unparalleled
 performance and functionality.
 .
 This package contains an encoder and decoder for wavpack files.
