=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

common-binary-post-install-arch:: list-missing

DEB_SHLIBDEPS_INCLUDE := debian/libwavpack1/usr/lib
DEB_DH_MAKESHLIBS_ARGS_libwavpack1 += -- -c4

DEB_INSTALL_DOCS_ALL = 
DEB_INSTALL_DOCS_libwavpack-dev = README

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

ifeq ($(DEB_BUILD_ARCH),amd64)
DEB_CONFIGURE_EXTRA_FLAGS += --enable-mmx
endif
