## wavpack 4.70.0

=== debian/changelog ===
wavpack (4.70.0-1ubuntu0.2) trusty-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-19840.patch: checking
      if sample_rate is not zero in src/wputils.c and
      removing register keyword in src/read_words.c.
    - CVE-2018-19840

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 05 Dec 2018 15:14:37 -0300

wavpack (4.70.0-1ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Denial of service via crafted WV file
    - debian/patches/CVE-2016-10169.patch: fix in words.c.
    - CVE-2016-10169

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 12 Feb 2018 09:43:33 -0300

wavpack (4.70.0-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/0001-pkgconfig.patch,
      debian/patches/0002-largefile.patch:
      - Drop patches that were merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 31 Oct 2013 16:47:06 +0100

wavpack (4.60.1-3) unstable; urgency=low

  * Team upload.
  * Check for large files support on 32-bit systems too.
    Thanks to Frank Lübeck for the report. (Closes: #666340)
  * Add dh-autoreconf to the build.
  * Bump debhelper requirement to match debian/compat.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 01 Apr 2012 11:43:30 +0200
