## wavpack 4.75.0

=== debian/changelog ===
wavpack (4.75.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - improved: reorganization for modularity and to improve linking
    - added: assembler optimizations for encode/decode on x86 and x64
    - added: assembler optimizations for decoding on ARMv7 (Linux)
    - improved: several minor speed optimizations using intrinsics
    - fixed: wavpack.pc.in not working correctly on some Linux distros
    - fixed: memcpy() issue causing abort() on OpenBSD
  * Touch Standards-Version

 -- Alessio Treglia <alessio@debian.org>  Wed, 10 Jun 2015 19:17:14 +0100
