=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: wavpack
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Loic Minier <lool@dooz.org>
 Build-Depends: cdbs (>= 0.4.93~),
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.14.13)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://www.wavpack.com
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/wavpack.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/wavpack.git
