## wavpack 4.75.2

=== debian/changelog ===
wavpack (4.75.2-2ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-19840.patch: checking
      if sample_rate is not zero in src/pack_utils.c and
      removing register keyword in src/read_words.c.
    - CVE-2018-19840

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 05 Dec 2018 16:51:11 -0300

wavpack (4.75.2-2ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Denial of service via crafted WV file
    - debian/patches/CVE-2016-10169.patch: fix in words.c.
    - CVE-2016-10169

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 12 Feb 2018 11:33:50 -0300

wavpack (4.75.2-2) unstable; urgency=medium

  * Team upload.
  * debian/rules:
    - No longer pass --enable-mmx on amd64. It was removed.
    - Pass --disable-asm on armel and armhf to fix FTBFS.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Jan 2016 17:39:03 +0100

wavpack (4.75.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/mark-stack-non-executable.patch: Mark stack as
    non-executable. Thanks to Russell Coker for the patch. (Closes: #793320)
  * debian/control: Remove ${shlibs:Depends} from libwavpack-dev's Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Jan 2016 13:39:23 +0100
