=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,6 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
-ifeq ($(DEB_BUILD_ARCH),amd64)
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-mmx
+ifeq (,$(filter-out armel armhf,$(DEB_HOST_ARCH)))
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-asm
 endif
