## wavpack 4.80.0

=== debian/changelog ===
wavpack (4.80.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/mark-stack-non-executable.patch: Removed, included
    upstream.
  * debian/control:
    - Bump Standards-Version, no changes needed.
    - Update Vcs-*.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 05 Apr 2016 21:47:45 +0200
