=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: wavpack
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Loic Minier <lool@dooz.org>
 Build-Depends: cdbs (>= 0.4.93~),
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.14.13)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.wavpack.com
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/wavpack.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/wavpack.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/wavpack.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/wavpack.git
 
 Package: libwavpack1
 Architecture: any
