## wavpack 5.0.0

=== debian/changelog ===
wavpack (5.0.0-2+deb9u3) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix multiple security issues.
    (Fixes: CVE-2018-19840, CVE-2018-19841, CVE-2019-1010315,
            CVE-2019-1010317, CVE-2019-1010319, CVE-2019-11498,
            CVE-2020-35738)
    (Closes: #915564, #915565, #932060, #932061, #927903, #978548)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 15 Jan 2021 15:23:22 +0530

wavpack (5.0.0-2+deb9u2) stretch-security; urgency=medium

  * CVE-2018-10536 CVE-2018-10537 CVE-2018-10538 CVE-2018-10539
    CVE-2018-10540

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 30 Apr 2018 20:34:34 +0000

wavpack (5.0.0-2+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2018-6767, CVE-2018-7253, CVE-2018-7254
    several vulnerabilities allow a remote attacker to cause a 
    denial-of-service or have unspecified other impact via 
    maliciously crafted files (RF64, DSDIFF, CAF)
 
 -- Sebastien Delafond <seb@debian.org>  Tue, 27 Feb 2018 15:15:53 +0100

wavpack (5.0.0-2) unstable; urgency=medium

  * Team upload.
  * debian/patches: Apply upstream fix to fix some fuzz failures
    (CVE-2016-10169, CVE-2016-10170, CVE-2016-10171, CVE-2016-10172). (Closes:
    #853076)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 30 Jan 2017 21:04:05 +0100

wavpack (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/libwavpack1.symbols: Add new symbols.
  * debian/copyright: Update copyright information.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 02 Jan 2017 13:56:51 +0100
