=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.14.13)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.wavpack.com
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/wavpack.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/wavpack.git
