## wavpack 5.1.0

=== debian/changelog ===
wavpack (5.1.0-7) unstable; urgency=medium

  * debian/patches: Cherry-pick upstream patches to fix use of uninitialized
    values. (CVE-2019-1010317, CVE-2019-1010319) (Closes: #932060, #932061)
  * debian/: Bump debhelper compat to 12.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 14 Jul 2019 21:10:51 +0200

wavpack (5.1.0-6) unstable; urgency=medium

  * debian/patches: Cherry-pick upstream patches to fix use of uninitialized
    values. (CVE-2019-11498) (Closes: #927903)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Apr 2019 23:30:18 +0200

wavpack (5.1.0-5) unstable; urgency=medium

  * debian/control: Bump Standards-Version.
  * debian/patches: Cherry-pick upstream patches for multiple CVEs
    (CVE-2018-19840, CVE-2018-19841). (Closes: #915564, #915565)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Dec 2018 09:43:52 +0100

wavpack (5.1.0-4) unstable; urgency=medium

  * debian/control:
    - Remove old Pre-Depends.
    - Add myself to Uploaders.
    - Bump Standards-Version.
  * debian/copyright: Convert to CF-1.0.
  * debian/:
    - Convert to dh.
    - Bump debhelper compat level to 11.
  * debian/watch: Update to version 4.
  * debian/rules: Build with all hardening options enabled.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 28 Jul 2018 17:53:07 +0200

wavpack (5.1.0-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/rules: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version.
  * debian/patches:
    - Cherry-pick upstream patches for multiple CVEs (CVE-2018-7254,
      CVE-2018-7253, CVE-2018-6767, CVE-2018-10540, CVE-2018-10539,
      CVE-2018-10538, CVE-2018-10537, CVE-2018-10536). (Closes: #889274,
      #889276, #889559, #897271, #890014)
    - Fix a memory leak.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 01 May 2018 09:52:12 +0200

wavpack (5.1.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0.
  * Drop myself from Uploaders.

 -- Loïc Minier <lool@debian.org>  Sun, 09 Jul 2017 21:32:49 +0200

wavpack (5.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches: Removed patches included upstream.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Jun 2017 12:59:20 +0200
