=== debian/control ===
--- 
+++ 
@@ -1,23 +1,19 @@
 Source: wavpack
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
-           Loic Minier <lool@dooz.org>
-Build-Depends: cdbs (>= 0.4.93~),
-               debhelper (>= 9),
-               dh-autoreconf,
-               dpkg-dev (>= 1.14.13)
-Standards-Version: 3.9.8
+           Sebastian Ramacher <sramacher@debian.org>
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.0
 Homepage: http://www.wavpack.com
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/wavpack.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/wavpack.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/wavpack.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/wavpack
 
 Package: libwavpack1
 Architecture: any
 Multi-Arch: same
 Section: libs
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: audio codec (lossy and lossless) - library
