## wavpack 5.1.0.2

=== debian/changelog ===
wavpack (5.1.0.2-1+dde) unstable; urgency=medium

  * fix CVE-2020-35738 CVE-2021-44269.
  * 

 -- xinpeng wang <wangxinpeng@uniontech.com>  Tue, 15 Mar 2022 20:04:09 +0800

wavpack (5.1.0.1-1+dde) unstable; urgency=medium

  * debian/patches: Cherry-pick upstream patches to fix use of uninitialized
    values. (CVE-2019-11498) (Closes: #927903)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Apr 2019 23:30:18 +0200
