=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.2.1
 Homepage: http://www.wavpack.com
 Vcs-Git: https://salsa.debian.org/multimedia-team/wavpack.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/wavpack
