## wavpack 5.2.0

=== debian/changelog ===
wavpack (5.2.0-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/CVE-2020-35738.patch: checks bounds
      in order to avoid/fix integer overflows resulting in buffer
      overruns in src/pack_utils.c.
    - CVE-2020-35738

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 05 Jan 2021 10:55:22 -0300

wavpack (5.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Sebastian Ramacher ]
  * New upstream version 5.2.0
  * debian/rules: Override with new changelog path
  * debian/patches: Remove all patches, all included upstream
  * debian/control: Set RRR: no

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 31 Dec 2019 09:46:04 +0100
