=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: wavpack
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.1
 Homepage: http://www.wavpack.com
 Vcs-Git: https://salsa.debian.org/multimedia-team/wavpack.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/wavpack
+Rules-Requires-Root: no
 
 Package: libwavpack1
 Architecture: any
