## wavpack 5.3.0

=== debian/changelog ===
wavpack (5.3.0-1ubuntu0.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/CVE-2020-35738.patch: checks bounds
      in order to avoid/fix integer overflows resulting in buffer
      overruns in src/pack_utils.c.
    - CVE-2020-35738

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 05 Jan 2021 11:23:12 -0300

wavpack (5.3.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Apr 2020 22:25:00 +0200
