## wavpack 5.4.0

=== debian/changelog ===
wavpack (5.4.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Drop patches integrated upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Jan 2021 21:40:02 +0100

wavpack (5.3.0-2) unstable; urgency=medium

  * debian/control: Bump Standards-Version
  * debian/: Bump debhelper compat to 13
  * debian/patches: Add upstream patches for CVE-2020-35738 (Closes: #978548)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 30 Dec 2020 10:40:48 +0100
