=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk

FLAGS  =
ifeq (,$(filter-out armel armhf,$(DEB_HOST_ARCH)))
FLAGS += --disable-asm
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(FLAGS)

override_dh_installchangelogs:
	dh_installchangelogs NEWS
