=== debian/watch ===
version=4
http://www.wavpack.com/downloads.html \
	wavpack-(.*\..*)\.tar\.bz2
