## wavpack 5.5.0

=== debian/changelog ===
wavpack (5.5.0-1) unstable; urgency=medium

  * New upstream version 5.5.0
    - Fix out-of-bounds read (CVE-2021-44269)
  * debian/control: Bump Standards-Version
  * debian/copyright: Bump copyright years
  * debian/libwavpack-dev.install: No longer install static library
  * debian/rules: Build with --disable-rpath

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 13 Jul 2022 10:33:29 +0200
