## wavpack 5.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.2)
 
-project(WavPack VERSION 5.2.0)
+project(WavPack VERSION 5.6.0)
 
 # Languages
 
@@ -148,7 +148,7 @@
 
 cmake_dependent_option(WAVPACK_ENABLE_ASM "Enable assembly optimizations" ON "HAVE_ASM OR HAVE_MASM" OFF)
 cmake_dependent_option(WAVPACK_ENABLE_LIBCRYPTO "Use OpenSSL::Crypto library" ON "OPENSSL_FOUND" OFF)
-cmake_dependent_option(WAVPACK_BUILD_PROGRAMS "Build programs" ON "Iconv_FOUND" OFF)
+cmake_dependent_option(WAVPACK_BUILD_PROGRAMS "Build programs" ON "WIN32 OR Iconv_FOUND" OFF)
 cmake_dependent_option(WAVPACK_BUILD_COOLEDIT_PLUGIN "Build CoolEdit plugin" ON "WIN32" OFF)
 cmake_dependent_option(WAVPACK_BUILD_WINAMP_PLUGIN "Build WinAmp plugin" ON "WIN32" OFF)
 cmake_dependent_option(BUILD_TESTING "Build tests" ON "NOT WIN32" OFF)
@@ -202,14 +202,29 @@
     PUBLIC
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
         $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
-    PRIVATE
-        $<$<BOOL:${WAVPACK_ENABLE_LIBCRYPTO}>:${OPENSSL_INCLUDE_DIR}>
 )
 target_link_libraries(wavpack
     PRIVATE
         $<$<BOOL:${HAVE_LIBM}>:m>
-        $<$<BOOL:${WAVPACK_ENABLE_LIBCRYPTO}>:${OPENSSL_CRYPTO_LIBRARY}>
-)
+)
+add_library(WavPack::WavPack ALIAS wavpack)
+
+if(CMAKE_VERSION VERSION_LESS 3.4)
+    target_include_directories(wavpack
+        PRIVATE
+            $<$<BOOL:${WAVPACK_ENABLE_LIBCRYPTO}>:${OPENSSL_INCLUDE_DIR}>
+    )
+    target_link_libraries(wavpack
+        PRIVATE
+            $<$<BOOL:${WAVPACK_ENABLE_LIBCRYPTO}>:${OPENSSL_CRYPTO_LIBRARY}>
+    )
+else()
+    target_link_libraries(wavpack
+        PRIVATE
+            $<$<BOOL:${WAVPACK_ENABLE_LIBCRYPTO}>:OpenSSL::Crypto>
+    )
+endif()
+
 target_compile_definitions(wavpack
     PRIVATE
         $<$<BOOL:${WAVPACK_ENABLE_LEGACY}>:ENABLE_LEGACY>
@@ -313,7 +328,8 @@
     WavpackWriteTag
 )
 
-if(BUILD_SHARED_LIBS AND (WIN32 OR CYGWIN))
+if(BUILD_SHARED_LIBS)
+  if(WIN32 OR CYGWIN)
     set(FILE_CONTENTS "EXPORTS\n")
     foreach(EXPORT_SYMBOL ${WAVPACK_EXPORT_SYMBOLS})
         list(APPEND FILE_CONTENTS "    ${EXPORT_SYMBOL}\n")
@@ -321,47 +337,27 @@
 
     file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/libwavpack.def ${FILE_CONTENTS})
     target_sources(wavpack PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/libwavpack.def)
-
-elseif(CMAKE_SYSTEM_NAME MATCHES "Darwin")
+  elseif(CMAKE_SYSTEM_NAME MATCHES "Darwin")
     set(FILE_CONTENTS "")
     foreach(EXPORT_SYMBOL ${WAVPACK_EXPORT_SYMBOLS})
         list(APPEND FILE_CONTENTS "_${EXPORT_SYMBOL}\n")
     endforeach()
     file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/libwavpack.sym ${FILE_CONTENTS})
-    target_link_libraries(wavpack PRIVATE "-Wl,-exported_symbols_list,'${CMAKE_CURRENT_BINARY_DIR}/libwavpack.sym'")
-else()
-    set(CONFTTEST_CONTENTS "VERS_1 {\n    global: sym\;\n\n};\n\nVERS_2 {\n    global: sym;\n} VERS_1\;")
+    if(CMAKE_VERSION VERSION_LESS 3.13)
+        set_target_properties(wavpack PROPERTIES LINK_FLAGS "-Wl,-exported_symbols_list,'${CMAKE_CURRENT_BINARY_DIR}/libwavpack.sym'") 
+    else()
+        target_link_directories(wavpack PRIVATE "-Wl,-exported_symbols_list,${CMAKE_CURRENT_BINARY_DIR}/libwavpack.sym")
+    endif()
+  else()
+    set(CONFTTEST_CONTENTS "VERS_1 {\n    global: sym;\n};\n\nVERS_2 {\n    global: sym;\n} VERS_1;\n")
     file(WRITE ${PROJECT_BINARY_DIR}/${CMAKE_FILES_DIRECTORY}/conftest.map "${CONFTTEST_CONTENTS}")
-    check_c_linker_flag("-Wl,--version-script='${PROJECT_BINARY_DIR}/${CMAKE_FILES_DIRECTORY}/conftest.map'" COMPILER_SUPPORTS_SYMBOL_MAPS)
+    check_c_linker_flag("-Wl,--version-script=${PROJECT_BINARY_DIR}/${CMAKE_FILES_DIRECTORY}/conftest.map" COMPILER_SUPPORTS_SYMBOL_MAPS)
 
     if(COMPILER_SUPPORTS_SYMBOL_MAPS)
-        set(FILE_CONTENTS "{ global:\n")
+        set(FILE_CONTENTS "{\n global:\n")
         foreach(EXPORT_SYMBOL ${WAVPACK_EXPORT_SYMBOLS})
-            list(APPEND FILE_CONTENTS "${EXPORT_SYMBOL}\;\n")
+            set(FILE_CONTENTS "${FILE_CONTENTS}  ${EXPORT_SYMBOL};\n")
         endforeach()
-        list(APPEND FILE_CONTENTS "local: *\; }\;")
-        file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/libwavpack.map ${FILE_CONTENTS})
-        target_link_libraries(wavpack PRIVATE "-Wl,--version-script='${CMAKE_CURRENT_BINARY_DIR}/libwavpack.map';-Wl,-no-undefined")
-    endif()
-endif()
-
-set_target_properties(wavpack PROPERTIES PUBLIC_HEADER include/wavpack.h)
-
-if(WAVPACK_BUILD_PROGRAMS)
-
-	add_executable(wavpackapp
-		cli/wavpack.c
-		cli/riff.c
-		cli/wave64.c
-		cli/caff.c
-		cli/dsdiff.c
-		cli/dsf.c
-		cli/utils.c
-		cli/md5.c
-		cli/import_id3.c
-		$<$<BOOL:${WIN32}>:cli/win32_unicode_support.h>
-		$<$<BOOL:${WIN32}>:cli/win32_unicode_support.c>
-	)
-	target_compile_definitions(wavpackapp
-		PRIVATE
-			$<$<BOOL:${MSVC}>:_CRT_SECURE_NO_WARNINGS>
+        set(FILE_CONTENTS "${FILE_CONTENTS} local: *;\n};\n")
+        file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/libwavpack.map "${FILE_CONTENTS}")
+        if(CMAKE_VERSION VERSION_LESS 3.13)
