=== debian/changelog ===
wavpack (5.6.0-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:21:52 +0200

wavpack (5.6.0-1) unstable; urgency=medium

  * New upstream version 5.6.0

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 02 Dec 2022 21:49:01 +0100
