## wavpack 5.7.0

=== debian/changelog ===
wavpack (5.7.0-1) unstable; urgency=medium

  * New upstream version 5.7.0
  * debian/control: Bump Standards-Version
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 05 Mar 2024 21:31:49 +0100
